/*
 * @Author: LiZhiWei
 * @Date: 2025-05-14 15:53:57
 * @LastEditors: LiZhiWei
 * @LastEditTime: 2025-05-14 15:53:59
 * @Description:
 */
export function adjustBrightness (color, factor) {
  if (color === 'transparent') return color
  const hex = color.replace('#', '')
  const r = Math.min(255, Math.round(parseInt(hex.substr(0, 2), 16) * factor))
  const g = Math.min(255, Math.round(parseInt(hex.substr(2, 2), 16) * factor))
  const b = Math.min(255, Math.round(parseInt(hex.substr(4, 2), 16) * factor))
  return `#${r.toString(16).padStart(2, '0')}${g.toString(16).padStart(2, '0')}${b
    .toString(16)
    .padStart(2, '0')}`
}

export function convertPtToPxInContent (content) {
  if (!content) return content
  // 使用正则表达式查找并替换
  return content.replace(/(\d+\.?\d*)(pt|PT)/g, (match, size) => {
    // 将 pt 转换为 px（1pt ≈ 1.33333px）
    const pxSize = size
    return `${pxSize}px`
  })
}
